/****************************************************************************
 
  Header file for Remote Lock Example Finite Sate Machine 
  based on the Event Framework

 ****************************************************************************/

#ifndef RemoteLockSM_H
#define RemoteLockSM_H

// Event Definitions
#include "ES_Events.h"
#include "ES_Types.h"

// typedefs for the states
// State definitions for use with the query function
typedef enum { InitPState, UnlockWaiting, _1UnlockPress, 
               _2UnlockPresses, Locked } RemoteLockState_t ;


// Public Function Prototypes

bool InitRemoteLockSM ( uint8_t Priority );
bool PostRemoteLockSM( ES_Event ThisEvent );
ES_Event RunRemoteLockSM( ES_Event ThisEvent );
RemoteLockState_t QueryRemoteLockSM ( void );


#endif /* RemoteLockSM_H */

