#define _LEGACY_HEADERS
#include <htc.h>
#include <stdio.h>
#include "ES_Configure.h"
#include "ES_Framework.h"
#include "ES_Timers.h"
#include "sci.h"

__CONFIG(INTIO & WDTDIS & PWRTEN & MCLRDIS & UNPROTECT & BORDIS & IESODIS & FCMDIS);

void main( void) {
    ES_Return_t ErrorType;

// Your hardware initialization function calls go here
    /***** 16F690 Code ****
     *  Internal oscillator set to 8MHz
     */
    OSCCON  = 0b01110000;
    /*
     *  RC0 = heartbeat output
     */
    TRISC0  =  0;   // Output
    ANS4 = 0;       // disable A/D on RC0 so we can read it
    RC0 = 1;

//USART_Init();

// When doing testing, it is usefull to annouce just which program
// is running.
puts("Starting Remote Lock State Machine (No Modulo) \r");
puts("using the 2nd Generation Events & Services Framework for PIC\n\r");
puts(" Press 'u' to unlock or 'l' to lock\n\r");

// now initialize the Events and Services Framework and start it running
ErrorType = ES_Initialize(ES_Timer_RATE_1MS);
if ( ErrorType == Success ) {

  ErrorType = ES_Run();

}
//if we got to here, there was an error
switch (ErrorType){
  case FailedPointer:
    puts("Failed on NULL pointer");
    break;
  case FailedInit:
    puts("Failed Initialization");
    break;
 default:
    puts("Other Failure");
    break;
}
for(;;)
  ;

};

/*------------------------------- Footnotes -------------------------------*/
/*------------------------------ End of file ------------------------------*/
